import router from "@/router";
// import { useUserStoreHook } from "@/store/modules/user";



// 白名单路由
// const whiteList = ["/login"];

router.beforeEach(async (to, from, next) => {
    console.log(to)
    console.log(from)
    next()
//   const hasToken = localStorage.getItem("accessToken");
//   if (hasToken) {
   
//   } else {
//     // 未登录可以访问白名单页面
//     if (whiteList.indexOf(to.path) !== -1) {
//       next();
//     } else {
//       next(`/login`);
   
//     }
//   }
});

